import { group, mapEntries } from 'radash'
import memberSilver from '@designer-hub/assets/src/libs/assets/memberSilver'
import memberGold from '@designer-hub/assets/src/libs/assets/memberGold'
import memberPlatinum from '@designer-hub/assets/src/libs/assets/memberPlatinum'

export const levels: { level: number; bgImg: string; badge?: string }[] = [
  {
    level: 1,
    bgImg:
      'https://image.zhuchaohui.com/zhucaohui/997de03a59d201c7b5dc124561925431abdc849cc7044ad4fb7c758bc12fafb2.png',
  },
  {
    level: 2,
    badge: memberSilver,
    bgImg:
      'https://image.zhuchaohui.com/zhucaohui/77b6712b1cab7e769b630010be01eceec6cdd27f6947777b5a805e3cbf077db4.png',
  },
  {
    level: 3,
    badge: memberGold,
    bgImg:
      'https://image.zhuchaohui.com/zhucaohui/60811dfd5c5a4fa7502cfc2ff3db188849d4f9363849420ba72e32c03f20eca5.png',
  },
  {
    level: 4,
    badge: memberPlatinum,
    bgImg:
      'https://image.zhuchaohui.com/zhucaohui/77b6712b1cab7e769b630010be01eceec6cdd27f6947777b5a805e3cbf077db4.png',
  },
]
export const levelsByLevel = levels.reduce(
  (acc: { level?: number; bgImg?: string; badge?: string }, item) => {
    acc[item.level] = item
    return acc
  },
  {},
)
