import { defineUniPages } from '@uni-helper/vite-plugin-uni-pages'

export default defineUniPages({
  globalStyle: {
    navigationStyle: 'default',
    navigationBarTitleText: 'unibest',
    navigationBarBackgroundColor: '#f8f8f8',
    navigationBarTextStyle: 'black',
    backgroundColor: '#FFFFFF',
  },
  easycom: {
    autoscan: true,
    custom: {
      '^wd-(.*)': 'wot-design-uni/components/wd-$1/wd-$1.vue',
      '^(?!z-paging-refresh|z-paging-load-more)z-paging(.*)':
        'z-paging/components/z-paging$1/z-paging$1.vue',
    },
  },
  tabBar: {
    color: '#999999',
    selectedColor: '#018d71',
    backgroundColor: '#F8F8F8',
    borderStyle: 'black',
    fontSize: '10px',
    iconWidth: '24px',
    spacing: '3px',
    custom: true,
    height: '0px',
    list: [
      {
        pagePath: 'pages/home/index',
      },
      // {
      //   pagePath: 'pages/material/index',
      // },
      // {
      //   pagePath: 'pages/publish/index',
      // },
      // {
      //   pagePath: 'pages/messages/index',
      // },
      {
        pagePath: 'pages/mine/index',
      },
    ],
  },
  condition: {
    current: -1,
    list: [
      { name: '设计游学', path: 'pages/index/study-tour/index' },
      { name: '登录', path: 'pages/login/index' },
      { name: '我的', path: 'pages/mine/index' },
    ],
  },
})
